# fstream File Reference

`#include <istream>`
`#include <ostream>`
`#include <locale>`
`#include <cstdio>`
`#include <bits/basic_file.h>`
`#include <bits/gthr.h>`
`#include <bits/fstream.tcc>`

Include dependency graph for fstream:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file fstream.